Subject: RE: [Simple] Message sessions: connection registration and comedia

From: [email-masked]
Date: Tue, 22 Apr 2003 11:15:16 +0300

Ok, I see. Looking back at the MMUSIC minutes from SF I got the impression that eid was on someone's agenda... But fair enough, it's fine by me to define this in message-sessions.

However, I think you mean to say that message sessions use the i-am URI for this, right? I mean, the you-be URI is pretty much obsolete if we use the a=direction attribute from comedia?

Cheers,
Aki

 > -----Original Message-----
 > From: ext Jonathan Rosenberg [mailto:[email-masked]]
 > Sent: 19 April, 2003 08:15
 > To: Niemi Aki (NMP/Helsinki)
 > Cc: [email-masked]; [email-masked]
 > Subject: Re: [Simple] Message sessions: connection registration and
 > comedia
 > 
 > 
 > Actually, per the discussion in SF, there is likely to never 
 > be an eid 
 > draft. The eid concept will basically be protocol specific. 
 > IM sessions 
 > has its own way of doing it (the you-be URI), and other 
 > protocols will 
 > have their way.
 > 
 > That said, one can reuse ideas from a draft without reusing 
 > the whole 
 > thing. Per another email I just sent on this subject, I 
 > believe we can 
 > reuse the basic active/passive negotiation defined in 
 > comedia to help 
 > deal with the offer/answer issue that Adam raised.
 > 
 > -Jonathan R.
 > 
 > [email-masked] wrote:
 > > After looking at the email discussion again, it seems that 
 > my original understanding was wrong, and it seems that eid 
 > was decided to be documented in a separate spec from comedia.
 > > 
 > > Cheers,
 > > Aki
 > > 
 > >  > -----Original Message-----
 > >  > From: ext Ben Campbell [mailto:[email-masked]]
 > >  > Sent: 11 April, 2003 17:47
 > >  > To: Niemi Aki (NMP/Helsinki)
 > >  > Cc: Simple WG
 > >  > Subject: Re: [Simple] Message sessions: connection 
 > registration and
 > >  > comedia
 > >  > 
 > >  > 
 > >  > Do we have any indication when that will show up in a 
 > comedia draft?
 > >  > 
 > >  > On Tue, 2003-04-08 at 06:44, [email-masked] wrote:
 > >  > > Hi all,
 > >  > > 
 > >  > > I know that use of comedia was discarded by the authors 
 > >  > already, but I'd like to revisit this.
 > >  > > 
 > >  > > Current message sessions uses the you-be URI in the offer 
 > >  > as a signal for the other end when it wishes to host. My 
 > >  > question is, why not use comedia's direction attribute for this?
 > >  > > 
 > >  > > Also, I've understood from the email discussions in 
 > >  > MMUSIC, that the eid attribute (for end-point ID) was agreed 
 > >  > to be added to comedia in place of source address and port 
 > >  > (this is not visible in comedia-05 though). Connection 
 > >  > registration (VISIT) using an appropriately random eid 
 > >  > should work equally well to the current i-am, you-be URI pair.
 > >  > > 
 > >  > > I don't see why we need to have two ways of indicating 
 > >  > endpoint IDs or direction roles in SDP.
 > >  > > 
 > >  > > Cheers,
 > >  > > Aki
 > >  > > _______________________________________________
 > >  > > Simple mailing list
 > >  > > [email-masked]
 > >  > > https://www1.ietf.org/mailman/listinfo/simple
 > >  > 
 > >  > 
 > > _______________________________________________
 > > Simple mailing list
 > > [email-masked]
 > > https://www1.ietf.org/mailman/listinfo/simple
 > > 
 > 
 > -- 
 > Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
 > Chief Scientist                             Parsippany, NJ 07054-2711
 > dynamicsoft
 > [email-masked]                     FAX:   (973) 952-5050
 > http://www.jdrosen.net                      PHONE: (973) 952-5000
 > http://www.dynamicsoft.com
 > 
 > 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple